<?php
 
 
 

namespace PhpWA\Protocol\Proto\ContextInfo;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class FeatureEligibilities extends \Google\Protobuf\Internal\Message
{
    


    protected $cannotBeReactedTo = null;
    


    protected $cannotBeRanked = null;
    


    protected $canRequestFeedback = null;
    


    protected $canBeReshared = null;
    


    protected $canReceiveMultiReact = null;

    












    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getCannotBeReactedTo()
    {
        return isset($this->cannotBeReactedTo) ? $this->cannotBeReactedTo : false;
    }

    public function hasCannotBeReactedTo()
    {
        return isset($this->cannotBeReactedTo);
    }

    public function clearCannotBeReactedTo()
    {
        unset($this->cannotBeReactedTo);
    }

    




    public function setCannotBeReactedTo($var)
    {
        GPBUtil::checkBool($var);
        $this->cannotBeReactedTo = $var;

        return $this;
    }

    



    public function getCannotBeRanked()
    {
        return isset($this->cannotBeRanked) ? $this->cannotBeRanked : false;
    }

    public function hasCannotBeRanked()
    {
        return isset($this->cannotBeRanked);
    }

    public function clearCannotBeRanked()
    {
        unset($this->cannotBeRanked);
    }

    




    public function setCannotBeRanked($var)
    {
        GPBUtil::checkBool($var);
        $this->cannotBeRanked = $var;

        return $this;
    }

    



    public function getCanRequestFeedback()
    {
        return isset($this->canRequestFeedback) ? $this->canRequestFeedback : false;
    }

    public function hasCanRequestFeedback()
    {
        return isset($this->canRequestFeedback);
    }

    public function clearCanRequestFeedback()
    {
        unset($this->canRequestFeedback);
    }

    




    public function setCanRequestFeedback($var)
    {
        GPBUtil::checkBool($var);
        $this->canRequestFeedback = $var;

        return $this;
    }

    



    public function getCanBeReshared()
    {
        return isset($this->canBeReshared) ? $this->canBeReshared : false;
    }

    public function hasCanBeReshared()
    {
        return isset($this->canBeReshared);
    }

    public function clearCanBeReshared()
    {
        unset($this->canBeReshared);
    }

    




    public function setCanBeReshared($var)
    {
        GPBUtil::checkBool($var);
        $this->canBeReshared = $var;

        return $this;
    }

    



    public function getCanReceiveMultiReact()
    {
        return isset($this->canReceiveMultiReact) ? $this->canReceiveMultiReact : false;
    }

    public function hasCanReceiveMultiReact()
    {
        return isset($this->canReceiveMultiReact);
    }

    public function clearCanReceiveMultiReact()
    {
        unset($this->canReceiveMultiReact);
    }

    




    public function setCanReceiveMultiReact($var)
    {
        GPBUtil::checkBool($var);
        $this->canReceiveMultiReact = $var;

        return $this;
    }

}

